List job-qualifications
Returns a paginated list of job-qualifications.
Results are ordered by id by default; use the sort parameter to change the ordering.
Access
Access
Authorizations
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Headers
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Query Parameters
Filter out job-qualifications on their rank
x >= 0Filter out job-qualifications on their profession's IDs.
1Filter job-qualifications by their title. The search is case insensitive, accent insensitive and looks for partial matches.
1Sort the results. Supported keys: id, name (job-qualification title), rank, profession (profession name).
Prefix a key with + (ascending, the default) or - (descending), and combine keys with commas — e.g. sort=profession,rank.
Defaults to id.
id, +id, -id, name, +name, -name, rank, +rank, -rank, profession, +profession, -profession Cursor of the page to retrieve. Read more about pagination.
Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.
0 <= x <= 100Include metadata:
embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request). May benullwhen you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.
Read more about expanding responses.
embedded, links, totalCount Response
OK
A collection of job-qualification resources.
"job-qualifications"Total number of job-qualification resources across all pages that satisfy query parameters.
x >= 0Paginated list of job-qualification resources.
100Links to related resources
No embedded resources on a job-qualification(s) response. Expect an empty object if embedded are requested.
Related topics
API lifecycleRetrieve a job-qualificationList job-positionsThe job-qualification resourceList professions